Package: org.codehaus.groovy.groovydoc

## [Java] Interface GroovyParameter

-     public interface GroovyParameter

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public GroovyAnnotationRef[]` | `annotations()`
    `` | `public String` | `defaultValue()`
    `` | `public String` | `name()`
    `` | `public GroovyType` | `type()`
    `` | `public String` | `typeName()`

- - ### Method Detail

    - #### public GroovyAnnotationRef[] annotations()

    - #### public String defaultValue()

    - #### public String name()

    - #### public GroovyType type()

    - #### public String typeName()